MSTAT(3PVM)

NAME
pvm_mstat - Returns the status of a host in the virtual machine.

SYNOPSIS
C	int mstat = pvm_mstat( char *host )

Fortran	call pvmfmstat( host, mstat )

PARAMETERS

host
    Character string containing the host name.

mstat
    Integer returning machine status:
    	value	MEANING
    	PvmOk	host is OK
    	PvmNoHost	host is not in virtual machine
    	PvmHostFail	host is unreachable (and thus possibly failed)

DESCRIPTION
The routine pvm_mstat returns the status mstat of the computer named host with respect to running PVM processes. This routine can be used to determine if a particular host has failed and if the virtual machine needs to be reconfigured. The function pvm_notify() can also be used to notify the caller that a host has failed.

EXAMPLES
C:
	mstat = pvm_mstat( "msr.ornl.gov" );

Fortran:
	CALL PVMFMSTAT( 'msr.ornl.gov', MSTAT )

ERRORS
These error conditions can be returned by pvm_mstat

PvmSysErr
    pvmd not responding.

PvmNoHost
    giving a host name not in the virtual machine.

PvmHostFail
    host is unreachable (and thus possibly failed).

SEE ALSO
pvm_notify(3PVM), pvm_config(3PVM)